
eXtplorer - PHP-based File Manager - Fehler #144

Strict Standards: Non-static method

09/09/2013 04:10 PM - neil hassan

Status: Erledigt   

Priority: Normal   

Assignee: neil hassan   

Category: Bug   

Target version: 2.1.5   

eXtplorer Version: 2.1.2 Joomla! Version: Joomla! 3.0

Description

Getting these errors with v. 2. 1.3 build on a new install to Joomla 3.1.5 : : :

Strict Standards: Non-static method extArchive::extract() should not be called statically in

/home/trymex12/public_html/testlab/tmp/install_522dd34130410/install.extplorer.php on line 34

Strict Standards: Non-static method extFile::getExt() should not be called statically in

/home/trymex12/public_html/testlab/administrator/components/com_extplorer/libraries/Archive/archive.php on line 36

Strict Standards: Non-static method extFile::stripExt() should not be called statically in

/home/trymex12/public_html/testlab/administrator/components/com_extplorer/libraries/Archive/archive.php on line 38

Strict Standards: Non-static method extFile::getExt() should not be called statically in

/home/trymex12/public_html/testlab/administrator/components/com_extplorer/libraries/Archive/archive.php on line 38

Strict Standards: Non-static method PEAR::isError() should not be called statically in

/home/trymex12/public_html/testlab/tmp/install_522dd34130410/install.extplorer.php on line 35

Strict Standards: Non-static method JVersion::isCompatible() should not be called statically, assuming $this from incompatible

context in /home/trymex12/public_html/testlab/tmp/install_522dd34130410/install.extplorer.php on line 67

: : : : :

PHP Version     5.4.19

Joomla! Version     Joomla! 3.1.5 Stable [ Ember ] 01-August-2013 14:00 GMT

Joomla! Platform Version     Joomla Platform 12.2.0 Stable [ Neil Armstrong ] 21-September-2012 00:00 GMT

User Agent     Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.66 Safari/537.36

History

#1 - 09/19/2013 12:30 PM - Andreas Lechner

Try this:

create a php.ini with one single line/command:

display_errors = Off

and copy it into the joomla administration directory.

Thats it (...it worked in my case on a 1&1-Server)

Regards Andi

#2 - 11/06/2013 02:35 PM - Sören Eberhardt-Biermann

- Status changed from Neu to Gelöst

- Target version set to 2.1.5

Duplicate

#3 - 11/06/2013 02:36 PM - Sören Eberhardt-Biermann

- Status changed from Gelöst to Erledigt
